カテゴリー:
Rails
タグ:
 Rails Rspec Spring

このエントリーをはてなブックマークに追加
更新日時:
2014年03月01日(土)
作成日時:
2014年03月01日(土)

前の記事 / 次の記事

嵌まったところ

bundler/setup がないと言われる

bundlerがインストールされてないようなので
bundlerをインストールする。

gem install bunder

bundle exec を付けないで呼んだ時に bundler を発見できるようにインストールする。

rubygems のバージョンが古いと言われる

古いとお気に召さないようなので新しくする

sudo gem install rubygems-update
sudo update_rubygems

rspecが走らない

そもそも新しいSpringはデフォルトの状態でRspecを走らせることはできない?

で、rails / springを見に行くと
Rspec走らせる場合は spring-commands-rspec を使ってねって書いてあるので使う。

group :development, :test do
  gem 'spring-commands-rspec'
end

で、最終的に

$ vi Gemfile
group :development, :test do
  gem 'spring-commands-rspec'
  gem 'rspec-rails'
end

$ bundle install

して、

spring binstub --all

したら使えた。

bundle exec を付けても動くけど
bundle exec を付けないで動かした場合に較べて気になる程度には遅くなる。